function PROT_GlobalStore(prefix) {
this.debugZone = "globalstore";
this.prefix_ = prefix;
}
PROT_GlobalStore.prototype.getPhishWardenEnabledPrefName = function() {
return this.prefix_ + "enable.phish-warden";
}
PROT_GlobalStore.prototype.getServerCheckEnabledPrefName = function() {
return this.prefix_ + "advancedprotection.enabled";
}
PROT_GlobalStore.prototype.getSkipLocalWhitelistPrefName = function() {
return this.prefix_ + "skip.local-whitelist";
}
PROT_GlobalStore.prototype.getAppDirectoryName = function () {
return "google_safebrowsing";
}
PROT_GlobalStore.prototype.getGetMeOutOfHereURL = function () {
var url = "http://www.google.com/";
var prefs = Cc["@mozilla.org/preferences-service;1"]
.getService(Ci.nsIPrefService).getBranch(null);
try {
var url = prefs.getComplexValue("browser.startup.homepage",
Ci.nsIPrefLocalizedString).data;
} catch(e) {
G_Debug(this, "Couldn't get homepage pref: " + e);
}
return url;
}
PROT_GlobalStore.prototype.getAntiPhishingURL = function () {
return "http://antiphishing.org";
}
PROT_GlobalStore.prototype.getPolicyURL = function () {
return "http://www.google.com/privacy.html";
}
PROT_GlobalStore.prototype.getFalsePositiveURL = function () {
return "http://www.google.com/safebrowsing/report_error/?continue=http%3A%2F%2Fwww.google.com%2Ftools%2Ffirefox%2Fsafebrowsing%2Fsubmit_success.html";
}
PROT_GlobalStore.prototype.getSubmitUrl = function () {
return "http://www.google.com/safebrowsing/report_phish/?continue=http%3A%2F%2Fwww.google.com%2Ftools%2Ffirefox%2Fsafebrowsing%2Fsubmit_success.html";
}
PROT_GlobalStore.prototype.getHomePageURL = function () {
return "http://www.google.com/tools/service/npredir?r=ff_sb_home";
}
PROT_GlobalStore.prototype.getPhishingFaqURL = function () {
return "http://www.google.com/tools/service/npredir?r=ff_sb_faq#phishing";
}
PROT_GlobalStore.prototype.getTestURL = function () {
return "http://www.google.com/tools/firefox/safebrowsing/phish-o-rama.html";
}
PROT_GlobalStore.prototype.getLookupserverURL = function () {
return "http://www.google.com/safebrowsing/lookup?";
}
PROT_GlobalStore.prototype.getUpdateserverURL = function () {
return "http://www.google.com/safebrowsing/update?";
}
PROT_GlobalStore.prototype.getActionReportURL = function () {
return "http://www.google.com/safebrowsing/report?";
}
PROT_GlobalStore.prototype.getGetKeyURL = function () {
return "https://www.google.com/safebrowsing/getkey?";
}
PROT_GlobalStore.prototype.getKeyFilename = function () {
return "kf.txt";
}
PROT_GlobalStore.prototype.getExtensionName = function() {
return "Google Safe Browsing";
}
